---
author: nihilist
date: 2024-09-05
gitea_url: "http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/issues/110"
xmr: 8AUYjhQeG3D5aodJDtqG499N5jXXM71gYKD8LgSsFB9BUV1o7muLv3DXHoydRTK4SZaaUBq4EAUqpZHLrX2VZLH71Jrd9k8
---
# How to rent remote domains anonymously (Registrar resellers) 

![](../context/anon_remote.png)

Not many people know that it is possible to operate a clearnet website, anonymously. That can be done using a [non-KYC registrar reseller](https://kycnot.me/?t=service&q=domain), that allows you to purchase a domain using Monero. It is crucial to maintain Anonymity when you are purchasing the domain, and when you are using it, to do so you'll need to at least keep Tor in between you and the service, as we have explained [previously](../anonclearnetservices/index.md).

![](../anonclearnetservices/0.png)

## _OPSEC Recommendations:_

  1. Hardware : (Personal Computer / Laptop)

  2. Host OS: [Linux](../linux/index.md)

  3. Hypervisor: [libvirtd QEMU/KVM](../hypervisorsetup/index.md)

  4. Virtual Machine: [Linux](../hypervisorsetup/index.md) or [Whonix](../whonixqemuvms/index.md) or [Tails](../tailsqemuvm/index.md)






In this tutorial we're going to try out nicevps.net, and as we are operating from within a Whonix VM, we'll use their onion mirror. So first we register an account there:

![](1.png)

Then we order a domain of our choice:

![](2.png) ![](3.png) ![](4.png)

For example we order the domain meduzzza.com for a yearly 15 euros, that we will obviously pay in monero as we want to maintain Anonymity: 

![](5.png) ![](6.png)

Then once paid you can access your services from the dashboard:

![](7.png) ![](8.png)

And from inside the control panel, you can set the Registered Glue Name Servers as follows, that way your domain's primary and secondary domain name servers are the ones of your choice. I recommend having an [Anonymously-acquired remote VPS](../anonymousremoteserver/index.md) with a [bind9 service](../dns/index.md) on it.

![](9.png)

Then once set, you can check the status of the NS record propagation [dnschecker.org](https://dnschecker.org), be warned that the DNS propagation can take up to 48 hours to propagate.

![](10.png)

Once the NS dns record propagated, your domain should resolve anywhere in the world:
    
    
    [ mainpc ] [ /dev/pts/10 ] [~/Nextcloud/blog-contributions]
    → ping ns1.nihilism.network
    PING ns1.nihilism.network (23.137.250.140) 56(84) bytes of data.
    64 bytes from mail.nihilism.network (23.137.250.140): icmp_seq=1 ttl=56 time=58.9 ms
    64 bytes from mail.nihilism.network (23.137.250.140): icmp_seq=2 ttl=56 time=55.8 ms
    64 bytes from mail.nihilism.network (23.137.250.140): icmp_seq=3 ttl=56 time=56.3 ms
    
    

And that's it you can now have a public website using a domain that you acquired anonymously!

