---
author: XMRonly
date: 2025-05-26
gitea_url: "http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/issues/95"
xmr: 8AHNGepbz9844kfCqR4aVTCSyJvEKZhtxdyz6Qn8yhP2gLj5u541BqwXR7VTwYwMqbGc8ZGNj3RWMNQuboxnb1X4HobhSv3
---
# The True Goal of Cryptocurrency

![](0.png)

## Introduction

The true goal of cryptocurrency is to replace fiat currency.

Governments want to know and control everything. From where you work, to what you do, and what you think, everything. With more knowledge they are better able to control the populace and reinforce their self-serving interests in power. One major way of flexing their control is through the issuance of State-backed fiat currency. By monopolizing the medium of exchange, governments further consolidate power. With the advent of cryptocurrencies, commerce suddenly had a shot outside the purview of the State thus threatening the central power structure. All of a sudden ordinary citizens had an alternative to government issued money, and a superior one at that. Today many cryptocurrencies exist and people use cryptocurrencies for a variety of functions such as investing, blockchain programming, and tokenizing assets. In this article we will examine the traditional fiat monetary system, look back at the events out of which a need for cryptocurrency arose, and examine how Monero fulfills the real goal of cryptocurrencies better than any other.

## TradFi

In the traditional finance system (TradFi), governments issue fiat money according to economic policy and it is deemed "valuable" because the government maintains it and the population has faith it will still be valuable in the future. Importantly, the government essentially prints this money out of thin air because unlike commodity money which is backed by a physical asset like gold or silver, fiat money has no intrinsic value. It's basically a "**trust me bro**" from your friendly neighborhood government - and it's not like placing your trust in governments has ever backfired. There are many examples throughout history of excessive money printing leading to hyperinflation decimating the local currency and people's lives with it. 

TradFi is characterized by **centralized entities, traditional banking services**, and **regulatory compliance**. When you submit to centralized authorities like these you are at their mercy and have little recourse to stand up for yourself. In stable societies, any reasonable citizen would expect their hard earned money to be theirs with nobody being able to take it away. Sadly, even this most basic assumption is being eroded away. In the name of preventing foul play, countries are cracking down more and more on physical cash payments that can't be tracked in favor of electronic payments which are by default surveilled. Many European countries now have strict limits on the cash transactions, and in some instances have even prevented customers from [withdrawing their own money](https://video.twimg.com/amplify_video/1904145740680810496/vid/avc1/576x1024/09M6pVsRUUFMbl15.mp4).

![](1.png)

## A Look Back on 2008

The world saw a major failure of the TradFi system in 2008. A housing bubble emerged in the United States, fueled by subprime mortgage rates and excessive risk-taking on the part of **centralized** financial institutions. Peoples' hard earned money was being lent out to fuel loans and with more and more people taking on massive loans, the market saw a drop in house prices causing homeowners to default on their debt. **Traditional banks** suddenly found themselves facing astronomical losses with many collapsing or asking Big Brother to just print them more money in the form of government bailouts. The resulting credit crunch restricted economic activity and the effects rippled out to the rest of the world, leading to a worldwide recession. The result of all of this? More **regulatory compliance** 🥳

Consumer confidence was obviously devastated from this incident. Hardworking citizens had their money saved up in the bank, only to have the banks ~~gamble~~ invest it however they see fit. And then when people see the economic hardships looming and go to withdraw their money, suddenly the banks are unable to fulfill their fiduciary duties to their clients. If, when presented with such circumstances, you would not be trusting of the TradFi system, you're not alone. After mishandling the nation's money, entrusting the management of your money to a third party would not be a sensible thing to do. You alone are the only one fit to manage your own money and in the wake of the 2008 global recession there was one individual willing to do something about it.

## A Cryptocurrency Is Born

In 2009, Satoshi Nakamoto released the first ever cryptocurrency and along with it published the famous words, "[Bitcoin: A Peer-to-Peer Electronic Cash System](https://bitcoin.org/bitcoin.pdf)". In his original vision, willing participants from anywhere in the world could use cryptographic proofs to transact freely without the reliance on third parties. Cryptocurrency was, by design, meant to be **decentralized**, **secure** and **permissionless** - the exact opposite of the TradFi system.

![](2.png)

With cryptocurrency, anybody can participate in the network and can do so without being discriminated against based on their financial background, credit history or anything else. By being based on [Free and open-source (FOSS)](../closedsource/index.md) technology, any individual motivated enough to read about the project can spin up their own node thus distributing the network in a **decentralized** manner and avoiding any single point of failure. Each transaction is based on public/private key-pair cryptography, making it very **secure** with users being in full control of their funds. Sending funds requires only the recipient's public key, meaning transactions cannot be stopped and occur completely **permissionlessly**.

Bitcoin didn't come without its problems though, and these would become apparent as time went on. As Bitcoin gained in popularity governments began keeping a closer eye on it and were able to use some of Bitcoin's characteristics to surveil it. Bitcoin's transparent blockchain makes it so the **entire history of a wallet is visible**. Two parties interacting are publicly visible as there is **no obfuscation of user public addresses**. Not only are the interactions between parties visible, but **every transaction amount is visible** as well. As a result of these shortcomings, Bitcoin is ultimately **not fungible** which means that governments were able to deem certain coins as "tainted", limiting their acceptance and usability.

## Enter Monero

You can't have financial freedom without financial privacy. Recognizing the problems with Bitcoin, Monero was created in 2014 with the goal of being private electronic cash. Monero improves upon the shortcomings of Bitcoin by implementing several technologies to ensure the privacy of its users. Monero's stealth addresses generate automatic one-time addresses for every transaction **eliminating visibility into a wallet's history**. Ring signatures create a group of cryptographic signatures with at least one real participant but with **no way of identifying the real spender**. RingCT technology **hides the amount spent** in every transaction. With no way of tracing Monero transaction details, one Monero really equals another and is completely **fungible**.

![](3.png)

Monero's development had great foresight as well. By implementing a **dynamic blocksize**, miners could adaptively respond to fluctuations in network transactions thus keeping transactions fees low for users. Monero uses the **RandomX** proof-of-work algorithm. This CPU-optimized algorithm is meant to encourage mining on a variety of hardware (and discourage specialized hardware like ASICs), making mining accessible to a wide range of people and keeping it decentralized. Monero also has a **tail emission**, unlike Bitcoin. This incentivizes miners to keep supporting the network, and while it's true that this makes Monero's supply infinite given an infinite timescale, Monero is actually [deflationary](https://petertodd.org/2022/surprisingly-tail-emission-is-not-inflationary) at any point in time even with the low perpetual payouts.

## Which Crypto Best Meets The True Goal?

Bitcoin's rise in popularity saw governments getting creative about how to reel it into the traditional finance system. By offering investment vehicles and Centralized Exchanges (CEX), governments are able to exploit the previously discussed problems with Bitcoin to impose restrictions, surveillance and Know Your Customer (KYC) procedures on crypto dealings. Combine this with extensive social media manipulation selectively amplifying the profits that can be made from *investing* in crypto and you can begin to understand how Bitcoin has been co-opted and is now basically integrated into the traditional finance system. Sadly, these measures proved to be quite effective, as many people saw their **number go up** and flocked towards these new "opportunities". Of course, this misses the point of cryptocurrency entirely, as the idea is opting out of the government oppression system, not pumping your inferior fiat bags.

Compare this with Monero and we see a stark difference. Despite governments' best attempts to ban/delist/limit the spread of Monero, its use and popularity are only rising. Monero's rise in use can be attributed to the fact that it truely works. Monero has been battle-tested in the most hostile environment on the internet, Darknet Marketplaces. In an arena where people's lives literally depend on it, Monero has emerged as the de facto standard as a result of being **untraceable**. To date, not a single Monero transaction has been definitely unmasked and the IRS was once offering [$625 000](https://cointelegraph.com/news/the-irs-offers-a-625-000-bounty-to-anyone-who-can-break-monero-and-lightning) to anyone who could break Monero. Monero has a thriving P2P community and volunteers from around the world are working on improving features to opt out of the surveillance state.

Once we've established the characteristics of the TradFi system and the problems that arise in it from the centralization and government control, we can conclude that Bitcoin is not the answer. Making fiat gains is not a worthwhile endeavor once its inferior qualities are brought to light. The true goal of cryptocurrencies is to replace fiat altogether and Monero is uniquely positioned to accomplish this. Permissionless, unstoppable digital cash, that is both easy to use and cheap to transact with succeeds in undermining the State's control over people's personal finances.

## Exchanges: Centralized or Decentralized?

There are many ways of acquiring Monero such as mining, performing work in exchange for it, and selling goods/services. The simplest method involves just buying it in exchange for fiat and this is where people turn to exchanges. Different exchanges operate in different manners so choosing the right one is integral to your OPSEC.

**Centralized Exchanges (CEX)** are regulated businesses that facilitate the buying, selling and trading of cryptocurrencies. They function as intermediaries, attempting to provide an avenue of connecting users to allow the trading of fiat and cryptocurrencies. Being regulated businesses, however, means they are at the whims of the government and must be made to comply with all KYC procedures, Law Enforcement requests and blocking orders. Furthermore, cryptocurrencies on CEXs are subject to delistings as persuaded by their overlord regulatory bodies and Monero has been delisted from virtually [every](https://blog.indodax.com/en_US/delisting-des2/) [centralized](https://coingeek.com/bittrex-to-delist-privacy-coins-monero-zcash-and-dash/) [exchange](https://blog.indodax.com/en_US/delisting-des2/). Even the few remaining CEXs housing Monero have [blocked withdrawals](https://redlib.catsarch.com/r/Monero/comments/1jbpqnc/poloniex_htx_mexc_letsexchange_have_closed_xmr/).

**Decentralized Exchanges (DEX)** are the opposite of Centralized Exchanges. Following the above mentioned delisting trend, it's likely that eventually all CEXs will be forced to delist Monero. If CEXs are therefore undependable, another solution is needed and that is where Decentralized Exchanges come in. A DEX is one that is run anonymously with no central entity, and therefore is immune to outside influence and forced Monero delisting. There is no need for intermediaries on DEXs because all funds are self-custodial and multisig technology ensures users can transact in a trustless fashion with one another. A good example is [Haveno](../haveno-client-f2f/index.md). On Haveno, users can directly exchange [fiat for Monero](../haveno-cashbymail/index.md) by mail peer-to-peer, and can do so while remaining completely anonymous.

## Conclusion

As we've seen, the TradFi System is fraught with problems and is easily manipulated by the select few in power to suit their needs. Bitcoin, while offering a glimmer of hope against the State financial apparatus has lost it's way and been co-opted under the allure of getting rich. Monero, on the other hand, fulfills cryptocurrency's true goal of replacing fiat, and continues to thrive despite all of the bans, delistings and limits imposed upon it. Acquiring Monero is best done anonymously through Decentralized Exchanges, such as Haveno (Retoswap), as CEXs are surveilled, unreliable and prone to ever more State regulation. Closing off, Vik Sharma CEO of Cake Wallet, really said it well:

    If a private crypto came out first, like Monero, then a transparent coin like Bitcoin came out later, how would people react? 
    
    Why would I want my transactions to be transparent?
